Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 452683

Summary: libxcb upgrade path blocker
Product: [Fedora] Fedora Reporter: Dmitry Butskoy <dmitry>
Component: libxcbAssignee: Adam Jackson <ajax>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: medium    
Version: 8CC: mszpak, tjd
Target Milestone: ---Keywords: EasyFix
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 1.1-1.1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-13 13:05:17 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Dmitry Butskoy 2008-06-24 13:58:11 UTC
The latest libxcb in Fedora 8 is libxcb-1.0-4.fc8, whereas the latest version in
the previous release, Fedora 7, already was libxcb-1.1

This prevents normal upgrade form (already EOF'ed) Fedora 7 to Fedora 8

(Note, that some people, especialy in production environments, do not prefer to
upgrade to the Fedora 9, they prefer to upgrade to Fedora 8, as more stable
distro. Please, do not promote the idea to use Fedora 9 instead of fixing this
bug ;) )

Comment 1 Fedora Update System 2008-07-21 18:57:10 UTC
libxcb-1.1-1.fc8 has been submitted as an update for Fedora 8

Comment 2 Fedora Update System 2008-07-23 07:09:54 UTC
libxcb-1.1-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update libxcb'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6609

Comment 3 Tom Davidson 2008-07-26 23:43:57 UTC
1.1-1 reintroduces the locking issue at bug 390261 to F8. 

Perhaps the equivalent to fc9's 1.1-4 can be provided instead?

Comment 4 Tom Davidson 2008-08-01 05:12:32 UTC
The latest locking issue has been fixed by 1.1-1.1 (cf. bug 456824) -- Thanks Adam